.button {
  &--ghost {
    background: none !important;
    border: none !important;
  }

  &--ghost-disabled {
    color: var(--eui-c-neutral-light) !important;
  }

  &--ghost:active {
    background-color: var(--eui-c-primary-bg-light) !important;
    border: 2px solid var(--eui-c-accent) !important;
  }

  &--ghost:hover {
    background-color: var(--eui-c-primary-bg-light) !important;
  }

  &-dark-bg {
    &--primary {
      background-color: var(--eui-c-white) !important;
      color: var(--eui-c-primary) !important;
    }

    &--primary-disabled {
      background-color: var(--eui-c-primary) !important;
      color: var(--eui-c-neutral-light) !important;
      border: 2px solid var(--eui-c-white) !important;
    }

    &--primary:active {
      background-color: var(--eui-c-primary-bg-light) !important;
      border: 2px solid var(--eui-c-accent) !important;
    }

    &--primary:hover {
      background-color: var(--eui-c-primary-bg-light) !important;
    }

    &--secondary {
      background-color: var(--eui-c-primary) !important;
      color: var(--eui-c-white) !important;
    }

    &--secondary-disabled {
      background-color: var(--eui-c-neutral-bg) !important;
      color: var(--eui-c-neutral-light) !important;
      border: 1px solid var(--eui-c-neutral-bg-light0) !important;
    }

    &--secondary:active {
      background-color: var(--eui-c-primary) !important;
      border: 2px solid var(--eui-c-accent) !important;
    }

    &--secondary:hover {
      background-color: var(--eui-c-primary) !important;
    }

    &--accent {
      background-color: var(--eui-c-accent) !important;
      color: var(--eui-c-black) !important;
    }

    &--accent-disabled {
      background-color: var(--eui-c-neutral-bg) !important;
      color: var(--eui-c-neutral-light) !important;
      border: 1px solid var(--eui-c-neutral-bg-light0) !important;
    }

    &--accent:active {
      background-color: var(--eui-c-accent-dark) !important;
      border: 2px solid var(--eui-c-black) !important;
    }

    &--accent:hover {
      background-color: var(--eui-c-accent-dark) !important;
    }
  }
}

.eui-button--basic {
  font-weight: 700;
}
